<?php
require'fun.php';
$titlu='Trimite mass prietenilor';
$back[1]='<a href="/prieteni">'.img('prieteni.png',2).'Prieteni</a>';
require'f_sus.php';
require'f_mut.php';
require'f_blocat.php';
$poate_trimite_mass=$conn->query('SELECT`lstmass`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0];
if($conn->query('SELECT COUNT(*)FROM`prieteni`WHERE(`de`="'.$de.'"||`la`="'.$de.'")&&`citit`>"0"')->fetch_row()[0]<2)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai mai mult de un prieten!';
elseif($poate_trimite_mass+7200>$_SERVER['REQUEST_TIME'])
{
require'f_ramas.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu au trecut doua ore de la ultimul mass trimis de tine prietenilor!<br />Mai ai de asteptat inca <strong>'.ramas(($poate_trimite_mass+7200)-$_SERVER['REQUEST_TIME']).'</strong>';
}
elseif(blocat($pmtext))
{
$tip='mass către prieteni';
$text=$pmtext;
require'f_ban.php';
}
elseif($pmtext=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți trimite mass gol prietenilor, nu vrem sa irosim resurse aiurea!';
else
{
require'f_spam.php';
$pmtext=$pmtext.'[br/][small][i][b]Acesta este un mass către prieteni[/b][/i][/small]';
$timp=$_SERVER['REQUEST_TIME'];
$items=$conn->query('SELECT`membrii`.`id`FROM`membrii`,`prieteni`WHERE(`membrii`.`id`=`prieteni`.`de`||`membrii`.`id`=`prieteni`.`la`)&&(`prieteni`.`de`="'.$de.'"||`prieteni`.`la`="'.$de.'")&&`prieteni`.`citit`>"0"&&`membrii`.`id`!="'.$de.'"GROUP BY`membrii`.`id`');
while($item=$items->fetch_row())
{
$conn->query('INSERT INTO`mesaje`SET`de`="'.$de.'",`la`="'.$item[0].'",`text`="'.$pmtext.'",`data`="'.$timp.'",`raportat`="'.(spam($pmtext)&&!in_array($de,$id_proprietari)?$id_robot:0).'"');
}
$conn->query('UPDATE`membrii`SET`lstmass`="'.$_SERVER['REQUEST_TIME'].'"WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ai trimis mass cu succes prietenilor tai!';
}
echo$div[0];
require'f_jos.php';